package org.exoplatform.portlets.content.admin.component;

import org.exoplatform.faces.core.component.UIPortlet;
import org.exoplatform.portlets.content.actions.component.UIActionFormController;
import org.exoplatform.portlets.content.actions.component.UIActionTypeFormController;
import org.exoplatform.portlets.content.actions.component.UIActionTypeList;
import org.exoplatform.portlets.content.rules.component.UIRuleForm;
import org.exoplatform.portlets.content.rules.component.UIRuleList;
import org.exoplatform.portlets.content.script.component.UIScriptForm;
import org.exoplatform.portlets.content.script.component.UIScriptList;
import org.exoplatform.portlets.content.templates.component.UITemplatesManager;

public class UIECMAdminPortlet extends UIPortlet {
  
  public UIECMAdminPortlet() throws Exception {
    setRendererType("ChildrenRenderer") ;
    
    addChild(UIECMAdminSummary.class);
    addChild(UIActionTypeList.class).setRendered(false);
    addChild(UIActionTypeFormController.class).setRendered(false);
    addChild(UIScriptForm.class).setRendered(false);
    addChild(UIScriptList.class).setRendered(false);
    addChild(UIRuleForm.class).setRendered(false);
    addChild(UIRuleList.class).setRendered(false);        
    addChild(UIActionFormController.class).setRendered(false);
    addChild(UITemplatesManager.class).setRendered(false);
  }
  
}
