package org.exoplatform.services.cms.categories;

import javax.jcr.PropertyType;
import javax.jcr.nodetype.NodeDefinition;
import javax.jcr.nodetype.NodeTypeManager;
import javax.jcr.nodetype.PropertyDefinition;
import javax.jcr.version.OnParentVersionAction;

import org.exoplatform.services.jcr.impl.core.nodetype.NodeTypeImpl;
import org.exoplatform.services.jcr.impl.core.nodetype.PropertyDefinitionImpl;

public class CategoryMixinType extends NodeTypeImpl{
  
  public CategoryMixinType(NodeTypeManager manager) {
    super(manager);
    this.name = "exo:categorized";
    this.mixin = true;
    this.orderableChild = false;
    this.primaryItemName = null;
    
    this.declaredPropertyDefinitions = new PropertyDefinition[1];
    this.declaredPropertyDefinitions[0] = new PropertyDefinitionImpl(
        "exo:category",              //name
        this,                        //declaringNodeType
        PropertyType.REFERENCE,      //requiredType
        null,                        //valueConstraints 
        NULL_VALUES,                 //defaultValues
        false,                       //autoCreate       
        true,                        //mandatory        
        OnParentVersionAction.COPY,  //onVersion        
        false,                       //readOnly         
        true                         //multiple         
        );
    
    this.declaredChildNodeDefinitions = new NodeDefinition[0];

  }

}
