/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.pmanager.component;

import java.util.ArrayList;
import java.util.List;
import javax.jcr.Node;
import javax.jcr.NodeIterator;
import org.exoplatform.faces.core.component.model.SelectItem;
import org.exoplatform.services.pmanager.Constant;
import org.exoplatform.services.pmanager.Project;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Apr 6, 2005
 * @version $Id$
 */
public class Util {
  static List createParticipantOptions(Project project) throws Exception {
    NodeIterator i = project.getParticipants() ;
    List list = new ArrayList() ;
    list.add(new SelectItem("#{label.unassigned}", "") ) ;
    while(i.hasNext()) {
      Node node = i.nextNode() ;
      String username = node.getProperty(Constant.PROJECT_PARTICIPANT_USERNAME).getString() ;
      list.add(new SelectItem(username, username)) ;
    }
    return list ;
  }
}
