/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.pmanager;

/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Apr 4, 2005
 * @version $Id$
 */
public class Constant {
  final static public String CONTAINER_NODE_TYPE= "exo:container" ;
  final static public String RESOURCE_NODE_TYPE= "exo:resource" ;
  
  final static public String PROJECT_NAME = "name" ;
  final static public String PROJECT_DESCRIPTION = "description" ;
  
  final static public String PROJECT_VERSION_NUMBER = "versionNumber" ;
  final static public String PROJECT_VERSION_NAME = "name" ;
  final static public String PROJECT_VERSION_DESCRIPTION = "description" ;
  
  final static public String PROJECT_COMPONENT_NAME = "name" ;
  final static public String PROJECT_COMPONENT_DESCRIPTION = "description" ;
  
  final static public String PROJECT_PARTICIPANT_USERNAME = "username" ;
  final static public String PROJECT_PARTICIPANT_DESCRIPTION = "description" ;
  
  final static public String PROJECT_PERMISSION_VIEW_ISSUE = "view-issue" ;
  final static public String PROJECT_PERMISSION_CREATE_ISSUE = "create-issue" ;
  final static public String PROJECT_PERMISSION_ADMIN_ISSUE = "admin-issue" ;
  final static public String PROJECT_PERMISSION_VIEW_DOCUMENT = "view-document" ;
  final static public String PROJECT_PERMISSION_CREATE_DOCUMENT = "create-document" ;
  final static public String PROJECT_PERMISSION_ADMIN_DOCUMENT = "addmin-document" ;
  final static public String PROJECT_PERMISSION_ADMIN_PROJECT = "addmin-project" ;
  
  final static public String DOCUMENT_NODE_TYPE = "exo:document" ;
  final static public String DOCUMENT_OWNER = "exo:owner" ;
  final static public String DOCUMENT_MIMETYPE = "exo:mimeType" ;
  final static public String DOCUMENT_CREATED_DATE = "exo:createdDate" ;
  final static public String DOCUMENT_MODIFIED_DATE = "exo:modifiedDate" ;
  final static public String DOCUMENT_DATA = "exo:data" ;
  
  final static public String ISSUE_TYPE = "exo:type" ;
  final static public String ISSUE_CREATOR = "exo:creator" ;
  final static public String ISSUE_ASSIGNEE = "exo:assignee" ;
  final static public String ISSUE_REPORTER = "exo:reporter" ;
  final static public String ISSUE_CREATED_DATE = "exo:createdDate" ;
  final static public String ISSUE_MODIFIED_DATE = "exo:modifiedDate" ;
  final static public String ISSUE_DUE_DATE = "exo:dueDate" ;
  final static public String ISSUE_TIME_ESTIMATE = "exo:timeEstimate" ;
  final static public String ISSUE_TIME_SPENT = "exo:timeSpent" ;
  final static public String ISSUE_TIME_REMAIN = "exo:timeRemain" ;
  final static public String ISSUE_AFFECTED_VERSION = "exo:affectedVersion" ;
  final static public String ISSUE_TARGETED_VERSION = "exo:targetedVersion" ;
  final static public String ISSUE_AFFECTED_COMPONENTS = "exo:affectedComponent" ;
  final static public String ISSUE_SUMMARY = "exo:summary" ;
  final static public String ISSUE_DESCRIPTION = "exo:description" ;
  final static public String ISSUE_STATUS = "exo:status" ;
  final static public String ISSUE_RESOLUTION = "exo:resolution" ;
  final static public String ISSUE_PRIORITY = "exo:priority" ;
  final static public String ISSUE_VIEW_PERMISSION = "exo:viewPermission" ;
  final static public String ISSUE_EDIT_PERMISSION = "exo:editPermission" ;
  
  final static public String ISSUE_TASKS = "tasks" ;
  final static public String ISSUE_TASK_NODE_TYPE= "exo:task" ;
  final static public String ISSUE_TASK_ASSIGNEE = "exo:assignee" ;
  final static public String ISSUE_TASK_TODO = "exo:todo" ;
  final static public String ISSUE_TASK_STATUS = "exo:status" ;
  
  final static public String ISSUE_COMMENTS = "comments" ;
  final static public String ISSUE_COMMENT_NODE_TYPE= "exo:comment" ;
  final static public String ISSUE_COMMENT_CREATOR = "exo:creator" ;
  final static public String ISSUE_COMMENT_CREATED_DATE = "exo:createdDate" ;
  final static public String ISSUE_COMMENT_MODIFIED_DATE = "exo:modifiedDate" ;
  final static public String ISSUE_COMMENT_DATA = "exo:data" ;
  
  final static public String ISSUE_RESOURCES = "resources" ;
  final static public String ISSUE_RESOURCE_NODE_TYPE= "exo:resource" ;
  final static public String ISSUE_RESOURCE_NAME = "name" ;
  final static public String ISSUE_RESOURCE_MIMETYPE = "mimeType" ;
  final static public String ISSUE_RESOURCE_DATA = "data" ;
}
