/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.htmlparser.impl;

import java.util.Arrays;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *         nhudinhthuan@yahoo.com
 * Jan 6, 2006
 */
class StaticData {
  
  static int CONTENT = -1;
  
  static int  TAG = 0;
  
  static int CLOSE = 1;
  
  static int SINGLE = 2; 
  
  private static char[] WHITE_SPACE = {' ', '\t', '\n', '\b', '\f', '\r'};
  
  static{
    Arrays.sort(WHITE_SPACE);
  }
  
  static boolean isWhiteSpace(char b){
    return (Arrays.binarySearch( StaticData.WHITE_SPACE,b)>-1);
  }
  
  static int findWhiteSpace(String value, int start){
    int i ;
    for( char ele : WHITE_SPACE){  
      if( (i = value.indexOf(ele, start)) > -1) return i;      
    }       
    return value.length();
  }
  
//  static byte[] SINGLE_AREA = "area".getBytes(), SINGLE_BASE = "base".getBytes(),
//          SINGLE_BASEFONT = "basefont".getBytes(), SINGLE_BR = "br".getBytes(),
//          SINGLE_COL = "col".getBytes(), SINGLE_DOCTYPE = "!doctype".getBytes(),
//          SINGLE_FRAME = "frame".getBytes(), SINGLE_HR = "hr".getBytes(),
//          SINGLE_IMG = "img".getBytes(), SINGLE_INPUT = "input".getBytes(),
//          SINGLE_ISINDEX = "isindex".getBytes(), SINGLE_LINK = "link".getBytes(),
//          SINGLE_META = "meta".getBytes(), SINGLE_PARAM = "param".getBytes();
//  
//  static Object[] SINGLE_TAGS = { SINGLE_AREA, SINGLE_BASE,
//          SINGLE_BASEFONT, SINGLE_BR, SINGLE_COL, SINGLE_DOCTYPE,SINGLE_FRAME, SINGLE_HR, 
//          SINGLE_IMG, SINGLE_INPUT, SINGLE_ISINDEX, SINGLE_LINK, SINGLE_META, SINGLE_PARAM };
  
  
//  static byte[] OPTION_COLGROUP = "colgroup".getBytes(), OPTION_TH = "th".getBytes(),
//          OPTION_TD = "td".getBytes(), OPTION_TR = "tr".getBytes(),
//          OPTION_CAPTION = "caption".getBytes(), OPTION_TBODY = "tbody".getBytes(),
//          OPTION_THEAD = "thead".getBytes(), OPTION_TFOOT = "tfoot".getBytes(),
//          OPTION_TABLE = "table".getBytes(), OPTION_LI = "li".getBytes(),
//          OPTION_UL = "ul".getBytes(), OPTION_OL = "ol".getBytes(),
//          OPTION_DD = "dd".getBytes(), OPTION_DT = "dt".getBytes(),
//          OPTION_DL = "dl".getBytes(), OPTION_OPTION = "option".getBytes(),
//          OPTION_SELECT = "select".getBytes();
//  
//  static Object [][] OPTION_TAGS = { {OPTION_TR, OPTION_TABLE, null},
//      {OPTION_TD, OPTION_TR, null} , {OPTION_LI, OPTION_UL, OPTION_OL},
//      {OPTION_DT, OPTION_DL, null}, {OPTION_OPTION, OPTION_SELECT, null},
//      { OPTION_COLGROUP, OPTION_TABLE, null},{ OPTION_DD, OPTION_DT, null},
//      { OPTION_TH, OPTION_TR, null}};
  
}
