/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.addrbook.component;

import java.util.List;
import org.exoplatform.faces.core.component.UIPortlet;

/**
 * Wed, Dec 22, 2003 @ 23:14 
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: UIFilePortlet.java,v 1.3 2004/08/17 13:07:02 tuan08 Exp $
 */
public class UIAddrBookPortlet extends UIPortlet {

	public UIAddrBookPortlet(
		UIAddrBookExplorer uiAddrBookExplorer,
		UIAddrBookForm uiAddrBookForm,
		UIAddrGroupForm uiAddrGroupForm,UIAddrUserInfo uiAddrUserInfo)
		throws Exception {

		setId("UIAddrBookPortlet");
		setRendererType("ChildrenRenderer");
		setClazz("UIAddrBookPortlet");

		List children = getChildren();
		uiAddrBookExplorer.setRendered(true);
		children.add(uiAddrBookExplorer);
		uiAddrBookForm.setRendered(false);
		children.add(uiAddrBookForm);
		uiAddrGroupForm.setRendered(false);
		children.add(uiAddrGroupForm);
		uiAddrUserInfo.setRendered(false);
		children.add(uiAddrUserInfo);

	}

}