/***************************************************************************
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.publish.component;

import java.util.*;
import javax.faces.component.UIComponent;
import org.exoplatform.faces.core.component.UIPortlet;



/**
 * Wed, Dec 22, 2003 @ 23:14
 * @author: Daniel Summer
 * @email: danny_xcz@163.com
 */
public class UIContentsReaderPortlet extends UIPortlet {
	
	private Stack history;
	 
	public UIContentsReaderPortlet(UIContentTitlesBlocks uiContentTitlesBlocks,
	                        UIContentTitles uiContentTitles,
	                        UIContentDisplay uiContentDisplay) throws Exception {
  	 setId("UIContentsReaderPortlet") ;	
      // setClazz("UIContentsReaderPortlet");
      history = new Stack();
    setRendererType("ChildrenRenderer");
    List children = getChildren() ;
	uiContentTitlesBlocks.setRendered(true) ;
    children.add(uiContentTitlesBlocks) ;
    uiContentTitles.setRendered(false) ;
    children.add(uiContentTitles) ;
    uiContentDisplay.setRendered(false) ;
    children.add(uiContentDisplay) ;
	}
  
    public void addHistoryElement(UIComponent component){
    history.add(component);
  }
  
  public void undo(){    
    if(history.size() > 0)
      setRenderedComponent(((UIComponent)history.pop()).getId());
  }
  
}