/**
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

/**
 * Created by The eXo Platform SARL
 * Author : Daniel Summer
 *          danny_xcz@users.sourceforge.net
 * Date: Nov 29, 2004
 * Time: 3:22:54 PM
 */
package org.exoplatform.services.bookmark.model;

import java.util.Date;

public interface Bookmark
{
	
  public String getBookmarkId();
  public void setBookmarkId(String s);
  
  public String getBookmarkCategoryId();
  public void setBookmarkCategoryId(String s);
  
  public String getName();
  public void setName(String s);
  
  public String getURL();
  public void setURL(String s);
  
  public Date getCreatedDate();
  public void setCreatedDate(Date d);
  
  public String getCreatedBy();
  public void setCreatedBy(String s); 
  
  public Date getModifiedDate();
  public void setModifiedDate(Date d);
  
  public String getModifiedBy();
  public void setModifiedBy(String s);

  public Integer getPublic();
  public void setPublic(Integer p);

}