/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner.event;

import java.util.Map;
import org.exoplatform.services.css.scanner.model.Statement;




/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 02.jul.2004 13:20:54
 */
public interface ScannerEvent {
    public Statement getEventObject();
    public void setEventObject(Statement object);
    public int depth();
    public boolean hasNext();
    public boolean isRoot();
    public boolean isChild();
    public boolean isSibling();
}
