/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner.model;

import java.io.Serializable;


/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 02.jul.2004 12:30:20
 */
public class Rule extends Statement implements Serializable {
    
    private String _value;

    public Rule() {        
    }
    
    public Rule(String name, String value, int start, int end) {
        setName(name);
        _value = value;
        setStart(start);
        setEnd(end);        
    }
    
    public String getValue() {
        return _value;
    }
    
    public void setValue(String value) {
        _value = value;
    }
    
    
}
