/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner.impl;

import java.io.IOException;
import java.io.InputStream;
import org.exoplatform.services.css.scanner.*;
import org.exoplatform.services.css.scanner.CssScannerImpl;
import org.exoplatform.services.css.scanner.event.ScannerListener;
import org.exoplatform.services.css.scanner.model.Document;


/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 01.jul.2004 15:33:30
 */
public class CssScannerServiceImpl implements CssScannerService {

    public CssScannerServiceImpl() {
    }

    /* 
     * @see org.exoplatform.services.css.scanner.CssScannerService#makeScanner()
     */
    public CssScanner makeScanner() {
        return new CssScannerImpl();
    }
}

