/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.test;

import org.w3c.css.sac.CSSException;
import org.w3c.css.sac.DocumentHandler;
import org.w3c.css.sac.InputSource;
import org.w3c.css.sac.LexicalUnit;
import org.w3c.css.sac.SACMediaList;
import org.w3c.css.sac.SelectorList;


/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 03.jul.2004 15:11:03
 */
public class DemoDocumentHandler implements DocumentHandler {

    /* 
     * @see org.w3c.css.sac.DocumentHandler#startDocument(org.w3c.css.sac.InputSource)
     */
    public void startDocument(InputSource source) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#endDocument(org.w3c.css.sac.InputSource)
     */
    public void endDocument(InputSource source) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#comment(java.lang.String)
     */
    public void comment(String text) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#ignorableAtRule(java.lang.String)
     */
    public void ignorableAtRule(String atRule) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#namespaceDeclaration(java.lang.String, java.lang.String)
     */
    public void namespaceDeclaration(String prefix, String uri) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#importStyle(java.lang.String, org.w3c.css.sac.SACMediaList, java.lang.String)
     */
    public void importStyle(String uri, SACMediaList media, String defaultNamespaceURI) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#startMedia(org.w3c.css.sac.SACMediaList)
     */
    public void startMedia(SACMediaList media) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#endMedia(org.w3c.css.sac.SACMediaList)
     */
    public void endMedia(SACMediaList media) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#startPage(java.lang.String, java.lang.String)
     */
    public void startPage(String name, String pseudo_page) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#endPage(java.lang.String, java.lang.String)
     */
    public void endPage(String name, String pseudo_page) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#startFontFace()
     */
    public void startFontFace() throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#endFontFace()
     */
    public void endFontFace() throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#startSelector(org.w3c.css.sac.SelectorList)
     */
    public void startSelector(SelectorList selectors) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#endSelector(org.w3c.css.sac.SelectorList)
     */
    public void endSelector(SelectorList selectors) throws CSSException {
    }

    /* 
     * @see org.w3c.css.sac.DocumentHandler#property(java.lang.String, org.w3c.css.sac.LexicalUnit, boolean)
     */
    public void property(String name, LexicalUnit value, boolean important) throws CSSException {
    }
    
}

