/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.api.core.agent;

import java.util.List;

import org.vietspider.veis.impl.core.crawler.AgentChecker;
import org.vietspider.veis.impl.core.crawler.AgentStore;
import org.vietspider.veis.impl.core.io.base.DataBuffer;
import org.vietspider.veis.impl.core.io.net.HttpClientImpl;
import org.vietspider.veis.impl.core.io.net.UrlCreation;
import org.vietspider.veis.impl.core.text.html.DocumentProcessor;
import org.vietspider.veis.impl.core.text.html.DocumentRemover;
import org.vietspider.veis.impl.core.text.html.NodeProcessor;
/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 10, 2005
 */
public interface AgentManager {
  
  public DataBuffer getBuffer();
  
  public DocumentProcessor getDocumentProcessor();
  
  public NodeProcessor getNodeProcessor();
  
  public AgentChecker getChecker();  
  
  public AgentStore getStore();  
  
  public HttpClientImpl getConnection();
  
  public UrlCreation getCreation();
  
  public DocumentRemover getRemover();
  
  public Agent get() throws Exception ;
  
  public void setStatus( String status, int id);
  
  public void add(List<String> link, int l, String address, String name, String domain);
}
