package org.vietspider.veis.impl.core.crawler;

import java.util.Properties;

import org.vietspider.veis.impl.core.io.local.SystemProperties;

public class ServiceRun {
  
  private AgentManagerImpl store;

	public ServiceRun() {
		try{    
      loadResources();
			store = new AgentManagerImpl();
			AgentThread [] agents = new AgentThread[ AgentConfig.TOTAL_THREAD];
			for( int i=0; i<agents.length; i++)
				agents[i] = new AgentThread( store, i);
		}catch( Exception exp){
			exp.printStackTrace();
		}
	}	
	public String getStatus(int id){
    return store.getStatus( id);
  }
  
  public void loadResources() throws Exception {
    SystemProperties properties = new SystemProperties();
    Properties p = properties.get();
    if( p.getProperty("LOAD_RESOURCES") == null || 
        p.getProperty("LOAD_RESOURCES").trim().equals("")) AgentConfig.LOAD_RESOURCES = false;
    else
      AgentConfig.LOAD_RESOURCES = true;
    
    if( p.getProperty("REMOVE_SCRIPT") == null || 
        p.getProperty("REMOVE_SCRIPT").trim().equals("")) AgentConfig.REMOVE_SCRIPT = false;
    else
      AgentConfig.REMOVE_SCRIPT = true;
    
    
    if( p.getProperty("SAVE_ORDER") == null || 
        p.getProperty("SAVE_ORDER").trim().equals("")) AgentConfig.SAVE_ORDER = false;
    else
      AgentConfig.SAVE_ORDER = true;
    
    if( p.getProperty("TOTAL_THREAD") == null || 
        p.getProperty("TOTAL_THREAD").trim().equals("")) AgentConfig.TOTAL_THREAD = 3;
    else{
      try{
        AgentConfig.TOTAL_THREAD = Integer.parseInt( p.getProperty("TOTAL_THREAD").trim());
      }catch( Exception exp){
        AgentConfig.TOTAL_THREAD =3;
        exp.printStackTrace();
      }
    }
     
  }
  
  public static void main( String args[]){
    new ServiceRun();
  }
}
