/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.core.io.net;

import java.net.URL;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 14, 2005
 */
public class UrlCreation {
  
  public String createURL ( String host, int port, String protocol, String link) {  
    if(link.startsWith("http")
        || link.startsWith("https")
        || link.startsWith("ftp") )  return link;
    
    String url =protocol+"://"+host;
    if( port >= 0)
      url += ":"+String.valueOf( port);
    url += link; 
    return url;
  }

  public String createURL ( String address, String link)  {     
    if(link.startsWith("http")
        || link.startsWith("https")
        || link.startsWith("ftp")
        || link.startsWith("/"))  return link;
    
    String file = "";
    try{
      file = ( new URL( address)).getFile();    
    }catch( Exception exp){
      file = address;
    }
    
    if(file.trim().equals("")) 
      return link;   
    else if(file.endsWith("/"))          
      return  file+link;         
    else if( file.endsWith("?") || link.startsWith("?"))
      return file+link;
    else   
      return file.trim().substring( 0, file.lastIndexOf("/")+1)+link;      
  }
}
