/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.vietspider.veis.temp;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JButton;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * @since Jul 8, 2005
 */
public class proxy extends JPanel {

  private JLabel lblHost = null;
  private JTextField txtHost = null;
  private JLabel lblPort = null;
  private JTextField txtPort = null;
  private JLabel lblName = null;
  private JTextField txtName = null;
  private JLabel lblPass = null;
  private JTextField txtPass = null;
  private JButton butOk = null;
  private JButton butReset = null;

  /**
   * This is the default constructor
   */
  public proxy() {
    super();
    initialize();
  }

  /**
   * This method initializes this
   * 
   * @return void
   */
  private void initialize() {
    lblPass = new JLabel();
    lblPass.setBounds(10, 130, 70, 25);
    lblPass.setText("Password :");
    lblName = new JLabel();
    lblName.setBounds(10, 90, 60, 25);
    lblName.setText("Name :");
    lblPort = new JLabel();
    lblPort.setBounds(10, 50, 60, 25);
    lblPort.setText("Port : ");
    lblHost = new JLabel();
    lblHost.setBounds(10, 10, 60, 25);
    lblHost.setText("Host : ");
    this.setLayout(null);
    this.setSize(337, 217);
    this.add(lblHost, null);
    this.add(getTxtHost(), null);
    this.add(lblPort, null);
    this.add(getTxtPort(), null);
    this.add(lblName, null);
    this.add(getTxtName(), null);
    this.add(lblPass, null);
    this.add(getTxtPass(), null);
    this.add(getButOk(), null);
    this.add(getButReset(), null);
  }

  /**
   * This method initializes txtHost	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtHost() {
  	if (txtHost == null) {
  		txtHost = new JTextField();
  		txtHost.setBounds(80, 10, 200, 25);
  	}
  	return txtHost;
  }

  /**
   * This method initializes txtPort	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtPort() {
  	if (txtPort == null) {
  		txtPort = new JTextField();
  		txtPort.setBounds(80, 50, 50, 25);
  	}
  	return txtPort;
  }

  /**
   * This method initializes txtName	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtName() {
  	if (txtName == null) {
  		txtName = new JTextField();
  		txtName.setBounds(80, 90, 150, 25);
  	}
  	return txtName;
  }

  /**
   * This method initializes txtPass	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtPass() {
  	if (txtPass == null) {
  		txtPass = new JTextField();
  		txtPass.setBounds(80, 130, 150, 25);
  	}
  	return txtPass;
  }

  /**
   * This method initializes butOk	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButOk() {
  	if (butOk == null) {
  		butOk = new JButton();
  		butOk.setBounds(80, 180, 70, 25);
  		butOk.setText("Save");
  		butOk.setToolTipText("Save");
  	}
  	return butOk;
  }

  /**
   * This method initializes butReset	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButReset() {
  	if (butReset == null) {
  		butReset = new JButton();
  		butReset.setBounds(180, 180, 70, 25);
  		butReset.setText("Reset");
  		butReset.setToolTipText("Reset");
  	}
  	return butReset;
  }

}  //  @jve:decl-index=0:visual-constraint="10,10"
