/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.test.core.text;

import java.net.URL;
import java.util.List;

import org.vietspider.veis.impl.core.io.base.DataBuffer;
import org.vietspider.veis.impl.core.io.net.HttpClientImpl;
import org.vietspider.veis.impl.core.text.html.Document;
//import org.vietspider.veis.impl.core.text.html.DocumentParser;
import org.vietspider.veis.impl.core.text.html.NodeProcessor;
import org.vietspider.veis.impl.core.text.html.Tag;

import junit.framework.TestCase;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 20, 2005
 */
public class TestDocumentParser2 extends TestCase {
  
  private int total = 1;
  private String path = "D:\\test\\2.txt"; 
  
  public void testDocumentParser1() throws Exception {
//    
//    long start = System.currentTimeMillis();
//    List<Tag> tag = null;
//    for( int i=0; i<total; i++){
//      DataBuffer buffer = new DataBuffer();    
//      byte[] data = buffer.loadByte( path);
//      DocumentParser parser = new DocumentParser();
//      tag = parser.getTag( new String( data, "utf-8"));
//    }
//    
//    long end = System.currentTimeMillis();
//    
//    System.out.println("mat khoang voi parser 1 "+ (end - start));
//    System.out.println( " voi bo parser 1 duoc " + tag.size());  

  }
  public void testDocumentParser3() throws Exception {
    
//    long start = System.currentTimeMillis();
//    List<Tag> tag = null;
//    for( int i=0; i< total; i++){
//      DataBuffer buffer = new DataBuffer();    
//      byte[] data = buffer.loadByte( path);
//      DocumentParser3 parser = new DocumentParser3();
//      tag = parser.getTag( data, "utf-8");
//    }
//    
//    long end = System.currentTimeMillis();
//    
//    System.out.println("mat khoang voi parser 3 la "+ (end - start));
//    System.out.println( " voi bo parser 3 duoc " + tag.size());    
//    
//    for( Tag ele : tag)
//      System.out.println( ele.getValue());

  }  
  public void testDocumentParser4() throws Exception {
    URL url = new URL("http://web.thanhnien.com.vn/news/default.aspx?");
    HttpClientImpl http = new HttpClientImpl( url.getProtocol(), url.getHost(), url.getPort());    
    byte[] objs = http.loadContent( "/Xahoi/2005/6/20/113303.tno");
//    System.out.println( new String( (byte[]) objs[0], "utf-8"));
    Document doc = new Document( new String( objs, "utf-8") );//(byte[]) objs[0], "utf-8");
    NodeProcessor pro = new NodeProcessor();
    doc = pro.getDocument( doc,
        new String[]{"0.1.0.8.0.0.1.0.0.0.0.0.0.1.0.3", "0.1.0.8.0.0.1.0.0.0.0.0.0.1.0.5"});
    //,"0.1.0.8.0.0.1.0.0.0.0.0.0.1.0.5"
    //"0.1.0.8.0.0.1.0.0.0.0.0.0.1.0.3"
    System.out.println( pro.getText( doc.getTag()));
  }
 
}
