/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.helloworld.impl;

import java.util.HashMap;
import java.util.Map;

import org.exoplatform.container.component.BaseComponentPlugin;
import org.exoplatform.container.component.ComponentPlugin;
import org.exoplatform.services.helloworld.SampleHelloWorldService;
/**
 * Created by The eXo Platform SARL
 * Author : Nhu Thuan
 *          thuannd@exoplatform.com
 * Sep 14, 2005
 */
public class SampleHelloWorldServiceImpl implements SampleHelloWorldService {  
  
  Map<String, ComponentPlugin> plugins_ = new HashMap<String,ComponentPlugin>() ; 
  
  public SampleHelloWorldServiceImpl(){
  }
  
  public String say(){
    return "hello";
  }
  
  public String sayHello(){   
    if( this.plugins_.size() > 0) 
      return ((SamplePlugin)this.plugins_.get("internal.plugin.sample")).call()+ "Hello World\n";
    return " Hello World\n";
  }
  
  public void addPlugin(ComponentPlugin plugin) {    
    System.out.println("ta co"+ plugin.getName());    
    plugins_.put( plugin.getName(), plugin) ;
  } 
 
}
