/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.helloworld.test;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.helloworld.SampleHelloWorldService;
import org.exoplatform.services.helloworld.impl.SampleHelloWorldServiceImpl;
import org.exoplatform.test.BasicTestCase;

/*
 * Thu, May 15, 2003 @   
 * @author: Tuan Nguyen
 * @version: $Id: TestDatabaseService.java,v 1.2 2004/09/14 22:17:46 tuan08 Exp $
 * @since: 0.0
 * @email: tuan08@yahoo.com
 */
public class TestSampleHelloWorld extends BasicTestCase {
  
  SampleHelloWorldService hservice_;

  public TestSampleHelloWorld(String name) {
    super(name);
  }

  public void setUp() throws Exception {   
   // hservice_ = new SampleHelloWorldServiceImpl();
    hservice_ =  (SampleHelloWorldService)PortalContainer.getInstance().
                  getComponentInstanceOfType(SampleHelloWorldService.class) ;
  }

  public void testHelloWorldService() throws Exception {
    if( hservice_ == null)
      System.out.println(" da bi null ");
    System.out.println( hservice_.sayHello());   
    //assertEquals("Service say :", hservice_.sayHello(),"Hello World");
  }
  
  protected String getDescription() {
    return "Test sample Service" ;
  }
}