/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.test.web.servlet;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Dec 21, 2005
 */
abstract public class ActionHandler {
  private Configuration config_ ;
  
  public void init(Configuration config) {
    config_ = config ;
  }
  
  abstract public void execute(HttpServletRequest request, HttpServletResponse response) ;
  
  public ResourceManager getResourceManager() { return config_.getResourceManager() ; }
 
  public Configuration getConfiguration() { return config_ ; }
}
