/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package control;

import java.util.Map ;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.exoplatform.test.web.* ;
import org.exoplatform.test.web.servlet.* ;
/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Dec 21, 2005
 */
public class ConfigTest extends ActionHandler {
  
  public void execute(HttpServletRequest request, HttpServletResponse response) {
    ResourceManager resManager = getResourceManager() ;
    Map  binding =  resManager.createDefaultBinding(request) ;
    def config = getConfiguration() ;
    def client = config.getWebClient() ;
    def  suites = client.getTestSuites() ;
    if(request.getParameter("update")) {
      client.setHomePageURL(request.getParameter("url")) ;
      client.setValidateWebUnit("true".equals(request.getParameter("validateUnit")));
      client.setValidateWellFormedXhtml("true".equals(request.getParameter("validateXhtml")));
      client.setStoreResult("true".equals(request.getParameter("storeResult")));
    }
    binding.put("webclient", client) ;
    resManager.merge(response.getWriter(), "templates/ConfigTest.groovy", binding);
  }
}