/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.test.portal;

import org.exoplatform.test.web.* ;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Oct 2, 2004
 * @version $Id: UserSuites.java,v 1.4 2004/10/21 15:21:50 tuan08 Exp $
 */
public class DemoSuites extends TestSuites {
  public DemoSuites() {
    String[] roles = new String[] {"user"} ;
    addSuite(new UserLoginSuite("patient", "exo", roles)) ;
  }
  
  static void main(args) {
    WebLoadRunner runner = new WebLoadRunner() ;
    runner.setDefaultURL("http://localhost:8080/ic3") ;
    
  	DemoSuites suites = new DemoSuites() ;
    runner.setNumberOfWorker(1) ;
    runner.setNumberOfTask(1) ;
    runner.setValidateWebUnit(true) ;
    runner.setValidateWellFormedXhtml(false) ;
    runner.run(suites) ;
    System.out.print(suites.getTextSummary()) ;
  }
}