package org.exoplatform.services.cms.categories;

import java.util.List;

import javax.jcr.Node;

public interface CategoriesService {

  public boolean hasCategories(Node node) throws Exception;

  public List<Node> getCategories(Node node) throws Exception;

  public void removeCategory(Node node, String categoryPath) throws Exception;

  public void addCategory(Node node, String categoryPath) throws Exception; 
  
  public void addCategory(Node node, String categoryPath, boolean replaceAll) throws Exception; 
}
