/*
 * Created on Mar 1, 2005
 */
package org.exoplatform.services.cms.templates.impl;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import org.apache.commons.lang.StringUtils;

/**
 * @author benjaminmestrallet
 */
public class TemplateConfig {

  private List nodeTypes = new ArrayList(5);
  
  public List getNodeTypes() {   return nodeTypes; }
  public void setNodeTypes(List s) {  this.nodeTypes = s; }    
  
  static public class Template {
    
    private String templateFile;
    private String roles;
    
    public String[] getParsedRoles() {
      return StringUtils.split(this.roles, ";");
    }
    public String getRoles() {
      return roles;
    }
    public void setRoles(String roles) {
      this.roles = roles;
    }
    
    public String getTemplateFile() {
      return templateFile;
    }
    public void setTemplateFile(String templateFile) {
      this.templateFile = templateFile;
    }
    
  }
  
  static public class NodeType {
    
    private String nodetypeName;
    private List referencedDialog;
    private List referencedView;    
    
    public NodeType(){
      referencedDialog = new ArrayList();
      referencedView = new ArrayList();
    }
    
    public String getNodetypeName() {
      return nodetypeName;
    }
    public void setNodetypeName(String nodetypeName) {
      this.nodetypeName = nodetypeName;
    }
    
    public List getReferencedDialog() {
      return referencedDialog;
    }
    public void setReferencedDialog(List referencedDialog) {
      this.referencedDialog = referencedDialog;
    }
    
    public List getReferencedView() {
      return referencedView;
    }
    public void setReferencedView(List referencedView) {
      this.referencedView = referencedView;
    }
  }
}
