/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.       *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.calendar.test;

import java.util.Calendar;
import java.util.Collection;
import java.util.GregorianCalendar;

import junit.framework.TestCase;

import org.exoplatform.container.PortalContainer;
import org.exoplatform.services.calendar.CalendarService;
 
public class TestCalendarServiceImpl extends TestCase {

	//protected Section section;
	//protected Content content;
	private static CalendarService service;
	
	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		if (service == null) {
			PortalContainer manager = PortalContainer.getInstance();
			service = (CalendarService) manager.getComponentInstanceOfType(CalendarService.class);
		}
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
	}

	public void testCalendarEvent() throws Exception  {
		
		GregorianCalendar cal = new GregorianCalendar() ;
		cal.set(Calendar.DAY_OF_MONTH, 1);
		cal.set(Calendar.MONTH, 0);
		cal.set(Calendar.YEAR, 2005);
		cal.set(Calendar.HOUR, 1);
		cal.set(Calendar.MINUTE, 1);
		cal.set(Calendar.SECOND, 1);
		
//		CalendarEvent event = service.createCalendarEventInstance();
//		event.setSummary("Test Event");
//		event.setLocation("Office");
//		event.setDescription("Meeting");
//		event.setCategories("work");
//		event.setUser("exo");
//		event.setPersonal(false);
//		event.setAllDayEvent(false);
//		event.setRepeat(false);
		
//		event.setDtStart(cal);
//		event.setDtEnd(cal);
		
//		service.createCalendarEvent(event);
//		assertTrue(((CalendarEventImpl) event).getUid() != null);
//
//
//		event = service.findCalendarEventById(event.getUid());
//		assertEquals(event.getSummary(), "Test Event");
//
//		event.setSummary("Changed Topic");
//		service.updateCalendarEvent(event);
//
//		cal.set(Calendar.HOUR, 2);
//		cal.set(Calendar.MINUTE, 2);
//		cal.set(Calendar.SECOND, 2);
//		Collection events = service.findCalendarEventByUserAndDate("exo",cal);
//		assertEquals(0, events.size());
//
//		service.removeCalendarEvent(event.getUid());
//		assertNull(service.findCalendarEventById(event.getUid()));
		
	}

}
