/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.spider.htmlparser.impl;

import java.io.ByteArrayOutputStream;
import java.util.List;

import org.exoplatform.services.spider.core.htmlparser.Attribute;
import org.exoplatform.services.spider.core.htmlparser.Node;

/**
 * Created by The eXo Platform SARL
 * Author : Thuannd
 *         nhudinhthuan@yahoo.com
 * Jan 3, 2006
 */
public class NodeImpl extends AbstractNode implements Node {  
  
  public NodeImpl( Token t){
    super( t); 
  }  
  
  public void setParent( Node p){    
    this.parent = p;
    if( parent != null)  parent.addChild( this);    
  }
  
  public Node getParent(){
    return this.parent;
  }
  
  public void addChild( Node n){    
    children.add( n);
  }
  
  public List<Node> getChildren(){
    return children;
  }
  
  public int getChildrenSize(){
    return children.size();
  }
  
  public Node getChild(int i){
    return children.get( i);
  } 
  
  public void removeChild(int i){
    children.remove( i);
  }
  
  public void removeChild(Node child){
    children.remove(child);
  } 
  
  public String getName(){    
    return token.getName();
  }
  
  public List<Attribute> getAttributes(){
    return null;
  }
  
  public Attribute getAttribute( String n){
   return null;
  }
  
  public void setAttributes( List<Attribute> list){  
   
  } 
  
  public void setAttribute( String n, String v){  
   
  } 
  
  public void removeAttribute( String n){ 
  
  } 
  
  public String getNodeValue(){
    return new String(token.getValue());
  }
  
  public String getTextContent(){
    return "";
  }  
  
  
}
