/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.internal.ui.sample;

import org.exoplatform.eclipse.core.library.ExoLibraryCenter;

/**
 * A place to hold all sample related constants that are used by the classes in
 * this package.
 *
 * @author Hatim Khan
 * @version $Revision: 1.1 $
 */
public interface IExoSampleConstant
{
  public static final String CLASS_VERSION = "$Id: IExoSampleConstant.java,v 1.1 2004/04/19 03:37:23 hatimk Exp $"; //$NON-NLS-1$
  public static final String KIND_PORTLET_SAMPLE = "portlet-sample"; //$NON-NLS-1$
  public static final String KIND_PORTLET_DEFAULT = "portlet-default"; //$NON-NLS-1$
  public static final String KIND_PORTLET_UPGRADE = "portlet-upgrade"; //$NON-NLS-1$  
  public static final String PROJECT_MOUNTPOINT = "PROJECT"; //$NON-NLS-1$
  public static final String JRE_LIBRARY_PATH =
    "org.eclipse.jdt.launching.JRE_CONTAINER"; //$NON-NLS-1$
  public static final String EXO_PORTLET_LIBRARY_PATH =
    ExoLibraryCenter.EXO_PORTLET_LIBRARY_PATH;
}
