/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please visit http://www.exoplatform.org for more license detail.        *
 **************************************************************************/

package org.exoplatform.eclipse.ui;

/**
 * Help context ids for the eXo UI plugin.
 * 
 * <p>
 * This interface contains constants only; it is not intended to be implemented
 * or extended.
 * </p>
 *
 * @author Hatim Khan
 * @version $Revision: 1.1 $
 */
public interface IExoHelpContextIds
{
  public static final String CLASS_VERSION = "$Id: IExoHelpContextIds.java,v 1.1 2004/04/19 03:37:25 hatimk Exp $"; //$NON-NLS-1$
  public static final String PREFIX = ExoUIPlugin.PLUGIN_ID + '.';
  public static final String ADD_PORTLET_LIBRARY =
    PREFIX + "add_portlet_library_context"; //$NON-NLS-1$
  public static final String CREATE_PORTLET_PROJECT =
    PREFIX + "create_portlet_project_context"; //$NON-NLS-1$
  public static final String SELECT_SAMPLE_PORTLET_PROJECTS =
    PREFIX + "select_sample_portlet_projects_context"; //$NON-NLS-1$   
  public static final String SELECT_PORTLET_DEPLOYMENT =
    PREFIX + "select_portlet_deployment_context"; //$NON-NLS-1$    
  public static final String WEBAPP_PROPERTY_PAGE =
    PREFIX + "webapp_property_page_context"; //$NON-NLS-1$    
  public static final String VALIDATION_PREFERENCE_PAGE=
    PREFIX + "validation_preference_page_context"; //$NON-NLS-1$
  public static final String UPGRADE_PORTLET_WEBFOLDER_PAGE=
    PREFIX + "upgrade_portlet_webfolder_page_context"; //$NON-NLS-1$
  public static final String UPGRADE_PORTLET_DEPLOYMENT_PAGE=
    PREFIX + "upgrade_portlet_deployment_page_context"; //$NON-NLS-1$    
}
