/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.publish.component;

import java.util.List;
import org.exoplatform.faces.core.component.UIPortlet;

/**
 * @author: Daniel Summer
 * @email:   danny_xcz@163.com
 */
public class UIConfigContentPortlet extends UIPortlet {

	public UIConfigContentPortlet(
		UIContentConfig uiConfig,
		UIContentConfigForm uiConfigForm) {
			
		setRendererType("ChildrenRenderer");
		List children = getChildren();

		uiConfigForm.setRendered(false);
		children.add(uiConfigForm);

		uiConfig.setRendered(true);
		children.add(uiConfig);
	}
}