/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.publish.renderer.html;

import java.io.IOException;
import java.util.Collection;
import java.util.*;
import java.util.ResourceBundle;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;

import org.exoplatform.faces.core.component.model.Parameter;
import org.exoplatform.faces.core.renderer.html.HtmlBasicRenderer;
import org.exoplatform.portlets.publish.component.*;

import java.text.SimpleDateFormat;

/**
 * @email:   danny_xcz@users.sourceforge.net
 * @version: $Id: GroupExplorerRenderer.java,v 1.10 2004/09/07 01:44:00 danny_xcz Exp $
 */
public class ContentTitlesBlocksRenderer extends HtmlBasicRenderer {

	final public void encodeBegin(FacesContext context, UIComponent component)
		throws IOException {
		ResourceBundle res =
			getApplicationResourceBundle(context.getExternalContext());
		ResponseWriter w = context.getResponseWriter();
		UIContentTitlesBlocks uiContentTitlesBlocks =
			(UIContentTitlesBlocks) component;
		List children = uiContentTitlesBlocks.getChildren();
        ///System.out.println("hhhhhhhhhhh");
		w.write("<table class='UIContentTitlesBlocks'>");
		w.write("<tr>");
		
		if (children != null && children.size() != 0) {
                        int cnt = 0 ;
			Iterator i = children.iterator();
			//System.out.println(children.size()+"3333333");
			while (i.hasNext()) {
				cnt ++;
				UIContentTitlesBlock ui = (UIContentTitlesBlock) i.next();
				
				
				w.write("<td>");
				if(children.size()==1) {
				w.write("<table class='Single-Column'>");
			        }
			        else{
			        w.write("<table class='Multi-Column'>");
			        }
				w.write("<tr>");
				w.write("<td>");
				ui.encodeBegin(FacesContext.getCurrentInstance());
				w.write("</td>");
				w.write("</tr>");
				w.write("</table>");
				
				w.write("</td>");
				
				if(cnt%2==0) {
				w.write("</tr>");
				w.write("<tr>");	
			        }
			}
		}else {
			///System.out.println("ggggggggggg");
			w.write("<td>");
			w.write("No Section Selected!");
			w.write("</td>");
		}
		
		w.write("</tr>");
		w.write("</table>");
	}

}