package org.exoplatform.ria.component.browser ;

import java.awt.Dimension;
import java.awt.Toolkit;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.BoxLayout;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

class BrowserStatusBar extends Box {
  JLabel statusLabel_, descLabel_;
  
  public BrowserStatusBar() {
    super(BoxLayout.X_AXIS);
    
    Toolkit kit = Toolkit.getDefaultToolkit();
    Dimension screenSize = kit.getScreenSize();
    statusLabel_ = new JLabel("Status:", SwingConstants.LEADING);
    statusLabel_.setPreferredSize(new Dimension((int) (0.7 * screenSize.width), 22));
    statusLabel_.setBorder(BorderFactory.createLoweredBevelBorder());
    add(statusLabel_, null);
    
    descLabel_ = new JLabel("Description:", SwingConstants.LEADING);
    descLabel_.setPreferredSize(new Dimension((int) (0.3 * screenSize.width), 22));
    descLabel_.setBorder(BorderFactory.createLoweredBevelBorder());
    add(descLabel_, null);
  }
}