/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.addrbook;

/**
 * @author Bob
 * Created on 2005-1-1
 *
 */
public class AddrBookQuery {
	
	private String name_;
	private String englishName_;
	private String handset_;
	private String province_;
	private String city_;
	private String mail_;
	private String groupId_;
	private String nickName_;
	private String userId_;
	private int maxSize_ = 300 ;

	public AddrBookQuery() {
		
	}
	public int  getMaxSize() { 
		return maxSize_ ; 
	}

	public void setMaxSize(int maxSize) {
	  maxSize_ = maxSize ;
	}
	
	public String getName(){
		return name_;
	}

	public void setName(String name){
		name_ = name;
	}

	public String getEnglishName(){
		return englishName_;		
	}

	public void setEnglishName(String englishName){
		englishName_ = englishName;
	}

	public String getProvince(){
		return province_;
	}

	public void setProvince(String prov){
		province_ = prov;
	}

	public String getCity(){
		return city_;
	}

	public void setCity(String city){
		city_ = city;
	}

	public String getHandset(){
		return handset_;
	}

	public void setHandset(String s){
		handset_ = s;
	}

	public String getMail(){
		return mail_;
	}

	public void setMail(String mail){
		mail_ = mail;
	}

	public String getGroupId(){
		return groupId_;
	}

	public void setGroupId(String s){
		groupId_ = s;
	}

	public String getUserId(){
		return userId_;
	}

	public void setUserId(String s){
		userId_ = s;
	}

	public String getNickName(){
		return nickName_;
	}

	public void setNickName(String s){
		nickName_ = s;
	}

}
