/**
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

/**
 * Created by The eXo Platform SARL
 * Author : Daniel Summer
 *          danny_xcz@users.sourceforge.net
 * Date: Nov 29, 2004
 * Time: 3:22:54 PM
 */
package org.exoplatform.services.bookmark.impl;

import org.exoplatform.services.bookmark.model.*;

/**
 * @hibernate.class  table="EXO_BOOKMARKCATEGORY"
 */
public class BookmarkCategoryImpl implements BookmarkCategory {

	private String id;
	private String parentId;
	private String name;
	private String label;
	private String description;

	/**
	 * @hibernate.id  generator-class="assigned" unsaved-value="null"
	 ***/
	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	/**
	 * @hibernate.property
	 **/
	public String getParentId() {
		return parentId;
	}

	public void setParentId(String parentId) {
		this.parentId = parentId;
	}
	
	/**
	 * @hibernate.property
	 **/
	public String getName() {
		return name;
	}
	public void setName(String s) {
		name = s ;
	}

	/**
	 * @hibernate.property
	 **/
	public String getLabel() {
		return label;
	}
	public void setLabel(String s) {
		label = s ;
	}
		
	/**
	 * @hibernate.property
	 **/
	public String getDescription() {
		return description;
	}
	public void setDescription(String s) {
		description = s;
	}


}
