/**
 * Copyright 2001-2004 The eXo Platform SARL         All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/

/**
 * Created by The eXo Platform SARL
 * Author : Daniel Summer
 *          danny_xcz@users.sourceforge.net
 * Date: Nov 29, 2004
 * Time: 3:22:54 PM
 */
package org.exoplatform.services.bookmark.impl;


import java.util.Date;

import org.exoplatform.services.bookmark.model.*;
/**
 * @hibernate.class  table="EXO_BOOKMARK"
 */
public class BookmarkImpl implements Bookmark {
    private String bookmarkId;
    private String categoryId;
    private Date createdDate;
    private Date modifiedDate;
    private String createdBy;	
    private String modifiedBy;	
    private String name;
    private String u;
    private String g;
    private Integer p;
  
	/**
	 * @hibernate.id  generator-class="assigned" unsaved-value="null"
	 ***/
	public String getBookmarkId() {
	    return bookmarkId;
	}
	
	public void setBookmarkId(String s) {
	     this.bookmarkId = s;
	}
	
	/**
	 * @hibernate.property
	 **/
	public String getBookmarkCategoryId() {
		return categoryId;
	}
	public void setBookmarkCategoryId(String s) {
		this.categoryId = s;
	}

	/**
	 * @hibernate.property
	 **/
	public Date getCreatedDate() {
		return createdDate;
	}
	public void setCreatedDate(Date d) {
		this.createdDate = d;
	}
	
	/**
	 * @hibernate.property
	 **/
	public String getCreatedBy() {
		return createdBy;
	}
	public void setCreatedBy(String s) {
               this.createdBy = s;
	}
	

	/**
	 * @hibernate.property
	 **/
	public String getURL() {
		return u;
	}
	public void setURL(String s) {
        this.u = s;
	}
	/**
	 * @hibernate.property
	 **/
	public Date getModifiedDate() {
		return modifiedDate;
	}
	public void setModifiedDate(Date d) {
		modifiedDate = d;
	}
	/**
	 * @hibernate.property
	 **/
	public String getModifiedBy() {
		return modifiedBy;
	}
	public void setModifiedBy(String s) {
		modifiedBy = s;
	}
	/**
	 * @hibernate.property
	 **/
	public Integer getPublic() {
		return p;
	}
	public void setPublic(Integer i){
		this.p=i;
	}
	/**
	 * @hibernate.property
	 **/
	public String getName() {
		return name;
	}
	public void setName(String s) {
		this.name = s;
	}
	

}
