/**
 * Copyright 2001-2004 The eXo platform SARL All rights reserved.
 * Please look at license.txt in info directory for more license detail.
 **/
package org.exoplatform.services.css.scanner.model;

import java.io.Serializable;
import java.util.List;


/**
 * @author Ove Ranheim (oranheim@yahoo.no)
 * @since 02.jul.2004 12:32:58
 */
abstract public class Statement implements Serializable {

    private int _start = -1;
    private int _end = -1;
    private String _name;
    private String _sequence;
    
    public int getStart() {
        return _start;
    }
    
    public void setStart(int start) {
        _start = start;
    }
    
    public int getEnd() {
        return _end;
    }
    
    public void setEnd(int end) {
        _end = end;
    }
    
    public String getName() {
        return _name;
    }
    
    public void setName(String name) {
        _name = name;
    }
    

    public String getSequence() {
        return _sequence;
    }
    
    public void setSequence(String sequence) {
        _sequence = sequence;
    }

    /**
     * @param properties
     */
    public void setProperties(List properties) {
        return;
    }
}
