package org.vietspider.veis.impl.core.io.local;

import java.util.Properties;
import org.vietspider.veis.impl.core.io.base.IOProperties;
import org.vietspider.veis.impl.core.io.base.UtilFile;

public class ProxyProperties extends IOProperties {
  
  public void set(String host, String port, String domain, String login, String pass) throws Exception{
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.system","proxy.properties");
    Properties p = super.load( path);
    p.put("ProxyHost", host);
    p.put("ProxyPort", port);
    p.put("ProxyDomain", domain);
    p.put("ProxyLogin", login);
    p.put("ProxyPass", pass);
    save ( path, p);
  }
  
  public Properties get() throws Exception {
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.system","proxy.properties");
    return super.load( path);
  }
  
}
