package org.vietspider.veis.impl.core.io.local;

import java.util.Properties;
import org.vietspider.veis.impl.core.io.base.IOProperties;
import org.vietspider.veis.impl.core.io.base.UtilFile;

public class RSSProperties extends IOProperties {
  
  public void set( String domain, String name, String url, String description) throws Exception{
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.rss."+domain,name);
    Properties p = super.load( path);
    p.put("Domain", domain);
    p.put("Name", name);
    p.put("URL", url);
    p.put("Description", description);   
    save ( path, p);
  }
  
  public Properties get( String domain, String name) throws Exception {
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.rss."+domain,name);
    return super.load( path);
  }
  
  public Properties get( String path) throws Exception {   
    return super.load( path);
  }
}
