package org.vietspider.veis.impl.core.io.local;

import java.util.Properties;
import org.vietspider.veis.impl.core.io.base.IOProperties;
import org.vietspider.veis.impl.core.io.base.UtilFile;

public class SystemProperties extends IOProperties {
  
  public void set(String name, String value) throws Exception {
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.system","system.properties");
    Properties p = super.load( path);
    p.put( name, value);    
    save ( path, p);
  }
  
  public Properties get() throws Exception {
    UtilFile utils = new UtilFile();	
    String path = utils.getFile("data.system","system.properties");
    return super.load( path);
  }
  
  public String get( String name) throws Exception {
    Properties pro = this.get();
    return pro.getProperty( name);
  }
  
}
