package org.vietspider.veis.impl.core.text.check;

public class BaseChecker {
	 protected boolean startIn (String line, String[] pattern){
	     for( String ele : pattern)
	         if( line.startsWith( ele)) return true;
	     return false;
	 }
	 protected boolean endIn (String line, String[] pattern){
	     for( String ele : pattern)
			 if(line.endsWith( ele)) return true;
	     return false;
	 }
	 protected boolean existIn (String line, String[] pattern){
		 for( String ele : pattern)
			 if(line.indexOf( ele) > -1) return true;
	     return false;
	 }
	 protected boolean existAll(String line, String[] pattern){
		 for( String ele : pattern)
			 if( !(line.indexOf( ele) > -1)) return false;
	     return true;
	 }
	 protected boolean equalsIn (String line, String[] pattern){
	      for( String ele : pattern)
	         if(line.equals( ele)) return true;
	      return false;
	 }
	 protected  boolean startOrEnd(String line , String[] start, String[] end){
	       return startIn(line, start)|| endIn(line, end);
	 }
	 protected boolean startAndEnd(String line , String[] start, String[] end){
	      return startIn(line, start) && endIn(line, end);
	 }	
	 protected boolean startOrEndOrExist(String line , String[] start, String[] end, String[] exist){
	      return startIn(line, start)|| endIn(line, end) || existIn(line, exist);
	 }
	 protected boolean startAndEndAndExist(String line , String[] start, String[] end, String[] exist){
	      return startIn(line, start)&& endIn(line, end) && existIn(line, exist);
	 }
	 protected boolean startAndEndAndExistAll(String line , String[] start, String[] end, String[] exist){
	      return startIn(line, start)&& endIn(line, end) && existAll(line, exist);
	 }

}
