package org.vietspider.veis.impl.core.text.check;

import java.net.URL;


public class NameChecker extends BaseChecker {
	public boolean isName( String name){
		if( name.equals("")) return false;
		String [] collection = {".","-",":","?","*","\\","/","|","\"","<",">"};
		return !this.existIn( name, collection);
	}	
	public boolean isNotPart( String pattern , String text){   
    try{
      text = (new URL( text)).getFile();
    }catch( Exception exp){
      
    }
		return cutUrl( text) < cutUrl( pattern);
	}
	private int cutUrl(String url){
		url = url.replaceAll("\\&", "\\/");
		url = url.replaceAll("\\?", "\\/");
		return url.split("\\/").length;
	}
}
