package org.vietspider.veis.impl.core.text.check;


public class TagChecker extends BaseChecker{
	
	public boolean isLinkHtml(String line){
		line = line.toLowerCase();		
		String start[]={"mailto","javascript","window","history"};
		String end[]={"css","js","jpg","gif","jpeg","bmp","dat"
		                        ,"exe","txt","java","pdf","doc",
								"rm","ram","wma","wmv","mp3","swf"};
		String exist[] ={"javascript","img(\"","image","#"} ;
		return !startOrEndOrExist(line, start, end, exist);	
	}	

	public boolean isImage(String line){
	       String exist[] = {"img","image"};
	       String end[]={"jpg","gif","jpeg","bmp","dib"};
	       return existIn( line, exist) || endIn( line, end);
	}	
}
