/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.ui.config;

import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;
import org.vietspider.veis.impl.core.text.html.Document;
import org.vietspider.veis.impl.core.text.html.Node;
import org.vietspider.veis.impl.core.text.html.NodeProcessor;
import org.vietspider.veis.impl.core.text.html.TagName;
import org.vietspider.veis.impl.ui.widget.ConfigTreeItem;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 29, 2005
 */
public class AgentBlock {
  
  protected Document doc;  
  
  protected String getConfig( TreeItem item){
    String txt =  item.getText().split("-")[1];
    while( item != null){                     
      item = item.getParentItem();
      if( item == null) break;      
      txt = item.getText().split("-")[1]+"."+txt; 
    }  
    return txt;
  }
  
  protected void createTreeItem( TreeItem item, String config){
    NodeProcessor nodeProcessor = new NodeProcessor();
    TagName tagName = new TagName();
    Node parentNode = nodeProcessor.getChild( doc.getNode(), config);
    int size = parentNode.getNumberOfChildren();  
    ConfigTreeItem configTree = new ConfigTreeItem();
    String name;
    Node node ;
    for( int i=0; i< size; i++){
       node  = parentNode.getChild( i);
       if( doc.getTag().get( node.getStart()).isSingle() || doc.getTag().get( node.getStart()).isOpen())
         name = tagName.getTagName( node.getName());
       else
         name = "text";
       configTree.get( item, name, i , node.getSize());         
    }   
  }
  protected void createTreeItem( Tree item){    
    TagName tagName = new TagName();
    Node parentNode =  doc.getNode();
    int size = parentNode.getNumberOfChildren();  
    ConfigTreeItem configTree = new ConfigTreeItem();
    Node node ;
    String name;
    for( int i=0; i< size; i++){
       node  = parentNode.getChild( i);
       if( doc.getTag().get( node.getStart()).isSingle() || doc.getTag().get( node.getStart()).isOpen())
         name = tagName.getTagName( node.getName());
       else
         name = "text";
       configTree.get( item, name, i , node.getSize());         
    }   
  }
  
  
 
}
