/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.impl.ui.publisher.business;

import java.io.File;
import java.util.List;

import org.vietspider.veis.api.io.ProgressDialog;
import org.vietspider.veis.impl.core.text.html.Document;
import org.vietspider.veis.impl.ui.resources.ResourceManager;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 21, 2005
 */
public class CollectionPageCreation extends PageCreation { 
  
  public int loadData( ProgressDialog progress,  String folder){      
    String title;
    int i = 0;    
    List<File> list = loadFolder( new File(folder+File.separator+"web"), 0);    
    int total;
    if( list.size()%10 == 0) 
      total = list.size()/10;
    else
      total = list.size()/10 + 1;
    StringBuilder page = new StringBuilder();
    page.append(  "<tr><td width=\"100%\" vAlign=\"top\" align=\"left\" colspan= \"2\">\n ");
    ResourceManager resource = new ResourceManager( "veis"); 
    page.append( "<br>"+resource.getLabel("page")+" &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;");
    for( i = 0; i<total; i++){      
      page.append(  "<a style=\"text-decoration:none\" href=\"");
      page.append( String.valueOf(i+1));
      page.append( ".htm\" >\n");
      page.append(  String.valueOf(i+1));
      page.append("</a>&nbsp; , &nbsp;&nbsp;");     
    }
    page.append("<br></td></tr>\n");
    head +=  page;
    
    progress.setMax( list.size());   
    progress.setValue( 0);
    
    StringBuilder html = new StringBuilder();
    html.append( head);
    html.append(  "<tr><td width=\"100%\" vAlign=\"top\" align=\"center\" colspan= \"2\"> \n");
    html.append( " "+resource.getLabel("page")+" ");
    html.append( String.valueOf( 1));
    html.append( "</td></tr>\n");
    
    for( i = 0; i< list.size(); i++){
      progress.count();
      if( i>0 && i%10 == 0){
        html.append( page);
        html.append( "</table></div></html>");        
        try{
          String path = folder + File.separator + String.valueOf( i/10)+".htm";          
          buffer.saveByte( path, html.toString().getBytes("utf-8"));          
        }catch( Exception exp){
          exp.printStackTrace();
        }
        html = new StringBuilder();
        html.append( head);
        html.append(  "<tr><td width=\"100%\" vAlign=\"top\" align=\"center\" colspan= \"2\">\n ");
        html.append( " "+resource.getLabel("page")+" ");
        html.append( String.valueOf( i/10+1));
        html.append( "</td></tr>");
      }
      
      try{
        Document doc = new Document( list.get(i), null);
        title =  processor.getTitle( doc.getTag());        
        html.append( createDescription( list.get(i).getAbsolutePath(), title
            , processor.getDescription( doc.getTag(), title),  processor.getImage( doc.getTag()), false));        
      }catch( Exception exp){
        exp.printStackTrace();
      }
    }   
    
    if(i>0 && i%10 != 0){
      html.append( page);
      html.append( "</table></div></html>");        
      try{
        String path =folder + File.separator + String.valueOf( i/10 +1)+".htm";
        buffer.saveByte( path, html.toString().getBytes("utf-8"));
      }catch( Exception exp){
        exp.printStackTrace();
      }
      return i/10 +1;
    }   
    return i/10;
  }    
}
