package org.vietspider.veis.impl.ui.widget;

import org.eclipse.swt.SWT;
import org.eclipse.swt.graphics.Color;
import org.eclipse.swt.graphics.Font;
import org.eclipse.swt.widgets.Tree;
import org.eclipse.swt.widgets.TreeItem;

public class ConfigTreeItem {	
	
	public TreeItem get(TreeItem arg0, String name, int order, int size) {
		 TreeItem item = new TreeItem(arg0, SWT.NONE);	
		 setStyle( item, name, order, size);
		 return item;
	}	
  public TreeItem get(Tree arg0, String name, int order, int size) {
     TreeItem item = new TreeItem(arg0, SWT.NONE);  
     System.out.println( size);
     setStyle( item, name, order, size);
     return item;
  } 
	private void setStyle(TreeItem item, String name, int order, int s){
		item.setText( name+"-"+String.valueOf( order));		
		if( 3 < s && s <= 10 ){
			item.setForeground(new Color( item.getDisplay(), 255, 128, 128));
			item.setFont( new Font( item.getDisplay(), "Tahoma", 7, SWT.BOLD));
			return;
		}	
		if( 10 < s && s <= 50 ){
			item.setForeground(new Color( item.getDisplay(), 255, 40, 40));
			item.setFont( new Font( item.getDisplay(), "Tahoma", 8, SWT.BOLD));
			return;
		}	
		if( 100 < s && s <= 500 ){
			item.setForeground(new Color( item.getDisplay(), 120, 0, 0));
			item.setFont( new Font( item.getDisplay(), "Tahoma", 9, SWT.BOLD));
			return;
		}	
		if( s>500 ){
			item.setForeground(new Color( item.getDisplay(), 0, 0, 0));
			item.setFont( new Font( item.getDisplay(), "Tahoma", 10, SWT.BOLD));
			return;
		}	
		item.setForeground(new Color( item.getDisplay(), 255, 196, 196));
		item.setFont( new Font( item.getDisplay(), "Tahoma", 6, SWT.BOLD));
		return;
	}
	

}
