package org.vietspider.veis.impl.ui.widget;

import java.util.prefs.Preferences;

import org.eclipse.swt.widgets.Shell;

public class ShellGetter {
  
  public ShellGetter(Class cl, Shell shell, int width, int height) {
    Preferences prefs = Preferences.userNodeForPackage( cl);
    String location = prefs.get( "location", "");
    if(location.length() > 0) {
      String com[]=location.split(",");
      if(com.length>1){
        shell.setLocation(Integer.parseInt(com[0]), Integer.parseInt(com[1]));
      }
    }else{	       
      shell.setLocation(  0, 0);	       
    }
    
    String size = prefs.get("size", "");
    if(size != null && size.length() > 0) {
      String com[]=size.split(",");
      if(com.length>1){
        shell.setSize(Integer.parseInt(com[0]), Integer.parseInt(com[1]));
      }
    }else{
      shell.setSize( width, height);
    }		
  }
  
}
