/***************************************************************************
 * Copyright 2001-2005 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.vietspider.veis.temp;

import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.JButton;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * @since Jul 6, 2005
 */
public class jbottom extends JPanel {

  private JTextField txtConfig = null;
  private JTextField txtStatus = null;
  private JButton butClose = null;
  private JButton butAccept = null;
  private JButton butSelectConfig = null;
  private JButton butRemove = null;
  /**
   * This is the default constructor
   */
  public jbottom() {
    super();
    initialize();
  }

  /**
   * This method initializes this
   * 
   * @return void
   */
  private void initialize() {
    GridBagConstraints gridBagConstraints5 = new GridBagConstraints();
    gridBagConstraints5.insets = new java.awt.Insets(3,5,2,2);
    gridBagConstraints5.gridy = 1;
    gridBagConstraints5.ipadx = 1;
    gridBagConstraints5.ipady = -1;
    gridBagConstraints5.gridx = 4;
    GridBagConstraints gridBagConstraints4 = new GridBagConstraints();
    gridBagConstraints4.insets = new java.awt.Insets(3,5,2,5);
    gridBagConstraints4.gridy = 1;
    gridBagConstraints4.ipadx = 11;
    gridBagConstraints4.ipady = -1;
    gridBagConstraints4.gridx = 3;
    GridBagConstraints gridBagConstraints3 = new GridBagConstraints();
    gridBagConstraints3.insets = new java.awt.Insets(3,5,2,5);
    gridBagConstraints3.gridy = 1;
    gridBagConstraints3.ipadx = 1;
    gridBagConstraints3.ipady = -1;
    gridBagConstraints3.gridx = 2;
    GridBagConstraints gridBagConstraints2 = new GridBagConstraints();
    gridBagConstraints2.insets = new java.awt.Insets(3,5,2,5);
    gridBagConstraints2.gridy = 1;
    gridBagConstraints2.ipadx = 4;
    gridBagConstraints2.ipady = -1;
    gridBagConstraints2.gridx = 1;
    GridBagConstraints gridBagConstraints1 = new GridBagConstraints();
    gridBagConstraints1.fill = java.awt.GridBagConstraints.HORIZONTAL;
    gridBagConstraints1.gridx = 0;
    gridBagConstraints1.gridy = 1;
    gridBagConstraints1.ipadx = 314;
    gridBagConstraints1.ipady = 5;
    gridBagConstraints1.weightx = 1.0;
    gridBagConstraints1.insets = new java.awt.Insets(3,5,2,5);
    GridBagConstraints gridBagConstraints = new GridBagConstraints();
    gridBagConstraints.fill = java.awt.GridBagConstraints.HORIZONTAL;
    gridBagConstraints.gridwidth = 5;
    gridBagConstraints.gridx = 0;
    gridBagConstraints.gridy = 0;
    gridBagConstraints.ipadx = 646;
    gridBagConstraints.ipady = 5;
    gridBagConstraints.weightx = 1.0;
    gridBagConstraints.insets = new java.awt.Insets(5,5,2,3);
    this.setLayout(new GridBagLayout());
    this.setSize(658, 62);
    this.add(getTxtConfig(), gridBagConstraints);
    this.add(getTxtStatus(), gridBagConstraints1);
    this.add(getButClose(), gridBagConstraints2);
    this.add(getButAccept(), gridBagConstraints3);
    this.add(getButSelectConfig(), gridBagConstraints4);
    this.add(getButRemove(), gridBagConstraints5);
  }

  /**
   * This method initializes txtConfig	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtConfig() {
  	if (txtConfig == null) {
  		txtConfig = new JTextField();
  		txtConfig.setEditable(false);
  	}
  	return txtConfig;
  }

  /**
   * This method initializes txtStatus	
   * 	
   * @return javax.swing.JTextField	
   */    
  private JTextField getTxtStatus() {
  	if (txtStatus == null) {
  		txtStatus = new JTextField();
  		txtStatus.setEditable(false);
  	}
  	return txtStatus;
  }

  /**
   * This method initializes butClose	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButClose() {
  	if (butClose == null) {
  		butClose = new JButton();
  		butClose.setText("Close");
  	}
  	return butClose;
  }

  /**
   * This method initializes butAccept	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButAccept() {
  	if (butAccept == null) {
  		butAccept = new JButton();
  		butAccept.setText("Accept");
  	}
  	return butAccept;
  }

  /**
   * This method initializes butSelectConfig	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButSelectConfig() {
  	if (butSelectConfig == null) {
  		butSelectConfig = new JButton();
  		butSelectConfig.setText("Add");
  		butSelectConfig.setActionCommand("Add");
  	}
  	return butSelectConfig;
  }

  /**
   * This method initializes butRemove	
   * 	
   * @return javax.swing.JButton	
   */    
  private JButton getButRemove() {
  	if (butRemove == null) {
  		butRemove = new JButton();
  		butRemove.setText("Remove");
  	}
  	return butRemove;
  }

}  //  @jve:decl-index=0:visual-constraint="10,10"
