/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.test.core.text;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import junit.framework.TestCase;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 19, 2005
 */
public class TestCollection extends TestCase {
  
  List<String> list = new ArrayList<String>();
  int total = 10;
  String pattern = "thuan 1098";
  
  public TestCollection(){
    for( int i=0; i< 10000; i++)
      list.add( "thuan "+String.valueOf(i));
  }
  
  public void testSearchCollection(){    
    long start = System.currentTimeMillis();
    
    int index = -1;
    for( int i=0; i<total; i++){
      index = Collections.binarySearch(list, pattern);
    }
    System.out.println(" ket qua voi element : "+ index);
    long end = System.currentTimeMillis();   
    System.out.println(" voi collection : "+ (end - start));
  
  }
  
  public void testSearchElement(){    
    long start = System.currentTimeMillis();
    
//    int index = -1;
    boolean add = false;
    for( int i=0; i<total; i++){
      add = list.contains( pattern);
//      index = list.indexOf( pattern);
//      for( int k=0; k<list.size(); k++){
//        if( list.get(k).toLowerCase().equals( pattern)){
//          index = k;
//          break;
//        }          
//      }
    }
    System.out.println( " ket qua voi element : "+ add);
    long end = System.currentTimeMillis();   
    System.out.println(" voi element : "+ (end - start));
  
  }
}
