/***************************************************************************
 * Copyright 2004-2006 The VietSpider Studio All rights reserved.  * 
 **************************************************************************/
package org.vietspider.veis.test.core.text;

import java.util.ArrayList;
import java.util.Collections;
import java.util.Comparator;
import java.util.List;

import junit.framework.TestCase;

/**
 * @by thuannd (nhudinhthuan@yahoo.com)
 * Jun 19, 2005
 */
public class TestFor extends TestCase {
  
  List<String> list = new ArrayList<String>();
  int total = 100000;
  String pattern = "thuan 1098";
  
  public TestFor(){
    for( int i=0; i< total; i++)
      list.add( "thuan "+String.valueOf(i));
  }
  
  public void testSearchCollection(){    
    long start = System.currentTimeMillis();    
    String a ="" ;
    for( int i=0; i<total; i++)
      a = list.get(i);
    
    System.out.println( " ket qua voi element : "+ a);
    long end = System.currentTimeMillis();   
    System.out.println(" voi collection : "+ (end - start));
  
  }
  
  public void testSearchElement(){    
    long start = System.currentTimeMillis();
    
    String a = "" ;
    for( String ele : list)
      a = ele;

    System.out.println( " ket qua voi element : "+ a);
    long end = System.currentTimeMillis();   
    System.out.println(" voi element : "+ (end - start));
  
  }
}
