<%@ page import='java.util.*' %>
<%@ page import='javax.jcr.*' %>
<%@ page import='org.exoplatform.services.jcr.core.*' %>
<%
  ManageableRepository repository = (ManageableRepository) request.getSession().getAttribute("rep");
  String repName = (String) request.getSession().getAttribute("repDisplayName");
  ArrayList wsNames = (ArrayList) request.getSession().getAttribute("wsNames");
  ArrayList wsData = (ArrayList) request.getSession().getAttribute("wsData");
%>

<html>
<body>
  <h1>eXo Platform JCR browser sample</h1>
  <form action="index.jsp" method="post">
  Repository selected: <input disabled name="rep0" type="text" maxlength="30" value="<%= repName%>">
    <input type="submit" name="submit" value="back <--">
  </form>
  <hr width="25%" align="left">
  <form action="view.jsp" method="post">
    <h2>
    <input name="rep" type="hidden" value="<%= repName%>">
    Select workspace:
    <select name="ws">
    <%if (wsNames != null) {%>
      <%for (int i = 0; i < wsNames.size(); i++) {%>
      <option><%= (String) wsNames.get(i)%>
      <%}%>
    <%}%>
    </select>
    <input name="submit" type="submit" value="view">
    </h2>
  </form>
  <hr width="25%" align="left">
  <table border="1" width="100%">
    <tr>
      <td colspan="2" align="center"><h2><u>Descriptors</u></h2></td>
    </tr>
    <tr>
      <td>Name</td>
      <td><%= repository.getDescriptor(Repository.REP_NAME_DESC) %></td>
    </tr>
    <tr>
      <td>Vendor</td>
      <td><%= repository.getDescriptor(Repository.REP_VENDOR_DESC) %></td>
    </tr>
    <tr>
      <td>URL</td>
      <td><%= repository.getDescriptor(Repository.REP_VENDOR_URL_DESC) %></td>
    </tr>
    <tr>
      <td>Repository version</td>
      <td><%= repository.getDescriptor(Repository.REP_VERSION_DESC) %></td>
    </tr>
    <tr>
      <td>Spec name</td>
      <td><%= repository.getDescriptor(Repository.SPEC_NAME_DESC) %></td>
    </tr>
    <tr>
      <td>Spec version</td>
      <td><%= repository.getDescriptor(Repository.SPEC_VERSION_DESC) %></td>
    </tr>
    <tr>
      <td>Level 1 supported</td>
      <td><%= repository.getDescriptor(Repository.LEVEL_1_SUPPORTED) %></td>
    </tr>
    <tr>
      <td>Level 2 supported</td>
      <td><%= repository.getDescriptor(Repository.LEVEL_2_SUPPORTED) %></td>
    </tr>
    <tr>
      <td>Observation supported</td>
      <td><%= repository.getDescriptor(Repository.OPTION_OBSERVATION_SUPPORTED) %></td>
    </tr>
    <tr>
      <td>Versioning supported</td>
      <td><%= repository.getDescriptor(Repository.OPTION_VERSIONING_SUPPORTED) %></td>
    </tr>
    <tr>
      <td>Locking supported</td>
      <td><%= repository.getDescriptor(Repository.OPTION_LOCKING_SUPPORTED) %></td>
    </tr>
    <tr>
      <td>Transactions supported</td>
      <td><%= repository.getDescriptor(Repository.OPTION_TRANSACTIONS_SUPPORTED) %></td>
    </tr>      
    <tr>
      <td>Query SQL supported</td>
      <td><%= repository.getDescriptor(Repository.OPTION_QUERY_SQL_SUPPORTED) %></td>
    </tr>      
  </table>
  <hr width="25%" align="left">
  <table border="1" width="100%">
    <tr>
      <td colspan="2" align="center"><h2><u>Configuration</u></h2></td>
    </tr>
    <%
    if (wsData != null) {
    for (int i = 0; i < wsData.size(); i++) {
      ArrayList wses = (ArrayList) wsData.get(i);
    %>
    <tr>
      <td><%= (String) wsNames.get(i)%></td>
      <td>
        <table border="1" width="100%">
          <%
            for (int j = 0; j < wses.size(); j++) {
              ArrayList prms = (ArrayList) wses.get(j);
              if (prms.size() > 1) {
                String prmName = (String) prms.get(0);
                ArrayList prmNames = (ArrayList) prms.get(1);
                ArrayList prmValues = (ArrayList) prms.get(2);
                for (int k = 0; k < prmNames.size(); k++) {
                  String name = (String) prmNames.get(k);
                  String value = (String) prmValues.get(k);
                %>
                <tr>
                  <%if (k == 0) {%>
                  <td rowspan="<%= (prmNames.size() > 0 ? prmNames.size() : 1)%>" width="30%"><%= prmName%></td>
                  <%}%>
                  <td width="30%"><%= name%></td><td><%= value%></td>
                </tr>
                <%}%>
              <%} else {%>
                <tr><td colspan="3"><h3>-- no params defined --</h3></td></tr>
            <%}%>
          <%}%>
        </table>
      </td>
    </tr>
    <%}
    }%>
  </table>
</body>  
</html>
