/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.core;

import org.exoplatform.services.idgenerator.IDGeneratorService;
import org.exoplatform.services.jcr.datamodel.Uuid;

/**
 * Created by The eXo Platform SARL .
 * 
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov
 *         </a>
 * @version $Id: UUIDGenerator.java 3510 2005-12-29 17:32:57Z geaz $
 */

public class UUIDGenerator {
  //public static final String ROOT_UUID = "__eXo_jcr_root_uuid_____________";
  public static final String ROOT_UUID = "00exo0jcr0root0uuid0000000000000";

  public static final int UUID_LENGTH = IDGeneratorService.ID_LENGTH;
  

  private IDGeneratorService idGenerator;

  public UUIDGenerator(IDGeneratorService idGenerator) {
    this.idGenerator = idGenerator;
  }

  public Uuid generateUUID(String path) {
    return new Uuid(idGenerator.generateStringID(path));
  }

  public String generateStringUUID(String path) {
    return idGenerator.generateStringID(path);
  }

}