/**
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 */

package org.exoplatform.services.jcr.impl.storage.rdb.container.data;

import org.exoplatform.services.jcr.datamodel.ItemData;

/**
 * Created by The eXo Platform SARL        .
 * @author <a href="mailto:gennady.azarenkov@exoplatform.com">Gennady Azarenkov</a>
 * @version $Id: ItemRecord.java 3510 2005-12-29 17:32:57Z geaz $
 */

public interface ItemRecord extends ItemData {

  String getId();

  void setId(String id);

  String getPath();

  void setPath(String path);

  int getPersistedVersion();

  void setPersistedVersion(int version);

  NodeRecord getParentNode();

  void setParentNode(NodeRecord parent);

}