package org.exoplatform.portlet.struts;


import javax.servlet.ServletException;
import javax.servlet.ServletConfig;
import org.exoplatform.portlet.commons.wrapper.ServletConfigWrapper;
import org.apache.struts.action.ActionServlet;
import org.apache.commons.logging.LogFactory;
import org.apache.commons.logging.Log;
import javax.servlet.http.HttpServletRequest;
import java.io.IOException;
import javax.servlet.http.HttpServletResponse;

public class ExoActionServlet extends ActionServlet {
    private static Log log = LogFactory.getLog(ExoActionServlet.class);

    public void init(ServletConfig config) throws ServletException {
        log.debug("init. Wrap a servlet config");
        ServletConfig configWrapped = new ServletConfigWrapper(config);
        super.init(configWrapped);
    }

    protected void process(HttpServletRequest request,
                           HttpServletResponse response) throws IOException,
            ServletException {
        log.debug(
                "------------ begin ExoActionServlet request info --------------");
        log.debug("request.getPathInfo() " +
                  request.getPathInfo());
        log.debug("request.getServletPath() " +
                  request.getServletPath());
        log.debug("request.getQueryString() " +
                  request.getQueryString());
        log.debug("request.getContextPath() " +
                  request.getContextPath());
        log.debug(
                "------------ end ExoActionServlet request info --------------");

        super.process(request, response);
    }
}
