/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.chart;

import java.awt.Color;
import java.io.Serializable;

/**
 * Created by The eXo Platform SARL
 * Author : Hung Nguyen
 *          nqhungvn@users.sourceforge.net
 * Jul 16, 2005
 */
public class Data implements Serializable {
  private String series_;
  private String type_;
  private double value_;
  private Color displayColor_;
  private int painPosition_; 
  
  public Data() {
    painPosition_ = 0;
  }
  public void setSeries(String series) { this.series_ = series; }
  public String getSeries(){ return series_; }
  
  public void setType(String type) { this.type_ = type; }
  public String getType() { return type_; }
  
  public void setValue(double value) { this.value_ = value; }
  public double getValue() { return value_; }
  
  public void setDisplayColor(Color color) { this.displayColor_ = color; }
  public Color getDisplayColor() { return displayColor_; }
  
  public void setPainPosition(int position) { this.painPosition_ = position; }
  public int getPainPosition(){ return painPosition_; }
}
