/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.chart.impl;

import java.awt.image.BufferedImage;
import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;
import java.io.InputStream;

import org.exoplatform.services.download.DownloadResource;

import com.sun.image.codec.jpeg.JPEGCodec;
import com.sun.image.codec.jpeg.JPEGImageEncoder;

/**
 * Created by The eXo Platform SARL
 * Author : Tuan Nguyen
 *          tuan08@users.sourceforge.net
 * Dec 26, 2005
 */
public class ChartDownloadResource extends DownloadResource {
  BufferedImage bimage_ ;
  
  public ChartDownloadResource(BufferedImage image) throws Exception {
    super("chart", "image/jpeg" ) ;
    bimage_ = image ;
  }
  
  public BufferedImage  getChartImage() {  return bimage_ ; } 
  
  public InputStream getInputStream()  throws Exception {  
    ByteArrayOutputStream  os = new ByteArrayOutputStream() ;
    JPEGImageEncoder pp = JPEGCodec.createJPEGEncoder(os);
    pp.encode(bimage_) ;
    ByteArrayInputStream is = new ByteArrayInputStream(os.toByteArray()) ;
    return is ; 
  }
}