/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.ticket.impl;

import java.util.Map;
import java.util.HashMap;
import org.exoplatform.services.ticket.Ticket;
import org.exoplatform.services.ticket.TicketCommand;
import org.exoplatform.services.ticket.TicketService;

/**
 * Created by The eXo Platform SARL
 * Author : Chung Nguyen
 *          chungnv@users.sourceforge.net
 * Jan 5, 2006
 */
public class TicketServiceimpl implements TicketService {
  private Map<String,Ticket> db=new  HashMap<String,Ticket >();
  
  public String createTicket(long liveTime, int repeat, TicketCommand command) throws Exception {
    Ticketimpl ticket=new Ticketimpl();
    ticket.setId(Integer.toString(ticket.hashCode()));
    ticket.setLiveTime(liveTime);
    return ticket.getId();
  }

  public Ticket getTicket(String id) throws Exception {
    return db.get(id);
  }

}
