/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL. All rights reserved.         *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.portlets.content.display.statik.component;

import java.util.List;

import org.exoplatform.faces.core.component.UIPortlet;

/**
 * @author benjaminmestrallet
 */
public class UIAdminContentPortlet extends UIPortlet {

  public UIAdminContentPortlet(UIContentConfig uiConfig, 
      UIContentConfigForm uiConfigForm) {
    setRendererType("ChildrenRenderer");
    List children = getChildren();
    uiConfigForm.setRendered(false);
    children.add(uiConfigForm);
    uiConfig.setRendered(true);
    uiConfig.setModificationAllowed(false);
    children.add(uiConfig);
  }

}