/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package org.exoplatform.services.portal;

import org.exoplatform.services.portal.model.*;
/**
 * Apr 20, 2004
 * @author: Tuan Nguyen
 * @email:   tuan08@users.sourceforge.net
 * @version: $Id: PortalACL.java,v 1.3 2004/09/28 15:13:51 tuan08 Exp $
 **/
public interface PortalACL {
  final static public String ADMIN = "admin" ;
   
	public boolean hasViewPagePermission(Page page, String user) throws Exception  ;	
  public boolean hasEditPagePermission(Page page, String user) throws Exception ;
  
	public boolean hasViewPortalPermission(PortalConfig portal, String user) 	throws Exception ;
  public boolean hasEditPortalPermission(PortalConfig portal, String user) throws Exception ;
  
  public boolean hasViewNodePermission(Node node, String portalOwner, String user) throws Exception ;
  public boolean hasEditNodePermission(Node node, String portalOwner, String user) throws Exception ;
	
  public boolean hasEditPreferencesPermission(Portlet portlet, String portletOwner, String user) throws Exception ;
}